/// <reference types="@cloudflare/workers-types" />
import { OpenAPIRouteSchema, OpenAPISchema, RouteValidated } from './types';
import { Request } from 'itty-router';
export declare function route(options: any, func: any): any;
export declare class OpenAPIRoute implements OpenAPIRouteSchema {
    static isRoute: boolean;
    static schema: OpenAPISchema;
    static getSchema(): OpenAPISchema;
    get schema(): OpenAPISchema;
    getSchema(): OpenAPISchema;
    static getParsedSchema(): Record<any, any>;
    jsonResp(params: {
        data: Record<string, any>;
        status?: number;
    }): Response;
    handleValidationError(errors: Record<string, any>): Response;
    execute(...args: any[]): Promise<Response>;
    validateRequest(request: Request): Promise<RouteValidated>;
    handle(...args: any[]): Promise<Response | Record<string, any>>;
}
